import { Instance } from '@popperjs/core';
/**
 * Display an icon button that triggers a drop-down panel that can display
 * arbitrary child content, such as metadata, forms, or other controls.
 *
 * ```ts
 *   <verdocs-button-panel .icon=${icon}>
 *     <h6>Field Settings</h6>
 *     <form>
 *     <p>
 *       <label>Field Name</label>
 *       <input type="text" placeholder="Field Name..." />
 *     </p>
 *     </form>
 *   </verdocs-button-panel>
 * ```
 */
export declare class VerdocsButtonPanel {
    iconEl: HTMLDivElement;
    panelEl: HTMLDivElement;
    hiderEl?: HTMLDivElement;
    popperInstance: Instance;
    /**
     * SVG icon to display
     */
    icon: string;
    componentDidRender(): void;
    disconnectedCallback(): void;
    showing: boolean;
    showPanel(): Promise<void>;
    hidePanel(): Promise<void>;
    toggle(): Promise<void>;
    render(): any;
}
